﻿using AspNetCoreDefaultHost.Configs;
using AspNetCoreDefaultHost.Pages.Basic;
using AspNetCoreDefaultHost.Pages.MasterPage;

namespace AspNetCoreDefaultHost.Pages
{
    internal sealed class HomePage : ContentPageBase
    {
        public override void Init()
        {
            MasterPage = HostConfig.RootComponentResolver.Resolve<RootMasterPage>();

            base.Init();

            var dbc = PageDataBindContext.CreateCascade();

            dbc.PutValue("PAGE_TITLE", "首页");

            PageDataBindContext = dbc;
        }
    }
}
