﻿using AspNetCoreDefaultHost.Configs;
using AspNetCoreDefaultHost.Pages.Basic;
using AspNetCoreDefaultHost.Pages.MasterPage;

namespace AspNetCoreDefaultHost.Pages
{
    public class PageNotFoundPage : ContentPageBase
    {
        public override void Init()
        {
            MasterPage = HostConfig.RootComponentResolver.Resolve<RootMasterPage>();

            base.Init();

            var dbc = PageDataBindContext.CreateCascade();

            dbc.PutValue("PAGE_TITLE", "找不到");

            PageDataBindContext = dbc;
        }
    }
}
