﻿using System;

namespace AspNetCoreDefaultHost.Pages.Basic
{
    public abstract class ContentPageBase : PageBase
    {
        public override void Init()
        {
            if (null == MasterPage) throw new InvalidOperationException("MasterPage is null");

            base.Init();

            var dbc = PageDataBindContext.CreateCascade();

            dbc.PutTemplate("BODY", Template);

            PageDataBindContext = dbc;
        }
    }
}
